<template>
    <div class="btm-nav bg-neutral">
        <button :class="{ 'active': currentRoute === '/' }" @click="$router.push('/')">
          <span class="material-symbols-outlined" :class="{ 'active': currentRoute === '/' }">
            home
          </span>
          <span>Home</span>
        </button>
        
        <button :class="{ 'active': currentRoute === '/charts' }" @click="$router.push('/charts')">
            <span class="material-symbols-outlined" :class="{ 'active': currentRoute === '/charts' }">
                bar_chart
            </span>
            <span>Charts</span>
        </button>
        <button :class="{ 'active': currentRoute === '/devices' }" @click="$router.push('/devices')">
            <span class="material-symbols-outlined" :class="{ 'active': currentRoute === '/devices' }">
                devices
            </span>
            <span>Devices</span>
        </button>
        <button :class="{ 'active': isRouteActive(['/routines', '/activities', '/conditions']) }" @click="$router.push('/routines')">
          <span class="material-symbols-outlined" :class="{ 'active': isRouteActive(['/routines', '/activities', '/conditions']) }">
            routine
          </span>
          <span>Routines</span>
        </button>
        <button :class="{ 'active': currentRoute === '/chat'}" @click="$router.push('/chat')">
            <span class="material-symbols-outlined" :class="{ 'active': currentRoute === '/chat' }">
                smart_toy
            </span>
            <span class="btm-nav-label">Chat</span>
        </button>
    </div>
</template>

<script>
export default {
  data() {
    return {
      currentRoute: this.$route.path,
    };
  },
  watch: {
    $route(to, from) {
      this.currentRoute = to.path;
    },
  },
  methods: {
    isRouteActive(routes) {
      return routes.some(route => this.currentRoute.startsWith(route));
    },
  },
};
</script>

<style scoped>
/* Import Tailwind CSS styles */
@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

/* Add a style for the active button */
.btm-nav button .active {
  color: theme('colors.success');
}
</style>